Endpoint
POST /api/onboarding/ghana_kyc/international_passport/
Request
Headers
| Header | Value | Required |
|---|---|---|
x-access-token | Your API secret key | Yes |
Content-Type | application/json | Yes |
Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
passport_number | string | Yes | The customer’s Ghanaian passport number |
Example
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/ghana_kyc/international_passport/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"passport_number": "G3759982"}'
const response = await fetch(
"https://adhere-api.smartcomply.com/api/onboarding/ghana_kyc/international_passport/",
{
method: "POST",
headers: {
"x-access-token": "YOUR_SECRET_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({ passport_number: "G3759982" }),
}
);
const data = await response.json();
import requests
response = requests.post(
"https://adhere-api.smartcomply.com/api/onboarding/ghana_kyc/international_passport/",
headers={
"x-access-token": "YOUR_SECRET_KEY",
"Content-Type": "application/json",
},
json={"passport_number": "G3759982"},
)
data = response.json()
Response
200 OK
| Field | Type | Description |
|---|---|---|
data.valid | boolean | Whether the passport is valid |
data.first_name | string | Customer’s first name |
data.last_name | string | Customer’s last name |
data.middle_name | string | Middle name, if any |
data.date_of_birth | string | Date of birth |
data.gender | string | Gender |
data.nationality | string | Nationality |
data.id_number | string | Passport number |
{
"status": "success",
"data": {
"valid": true,
"first_name": "JOHN",
"last_name": "DOE",
"middle_name": "",
"date_of_birth": "1990-04-15",
"gender": "Male",
"nationality": "Ghanaian",
"id_number": "G3759982"
},
"message": "International Passport details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

